WhatsApp Meta agent
Replace Meta agent website
Replace the site and its crawl scope.
PUT
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
websites
/
{website_id}
Replace Meta agent website
curl --request PUT \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/websites/{website_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"included_sub_domains": [
"<string>"
],
"included_url_patterns": [
"<string>"
],
"excluded_sub_domains": [
"<string>"
],
"excluded_url_patterns": [
"<string>"
],
"single_urls": [
"<string>"
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/websites/{website_id}"
payload = {
"url": "<string>",
"included_sub_domains": ["<string>"],
"included_url_patterns": ["<string>"],
"excluded_sub_domains": ["<string>"],
"excluded_url_patterns": ["<string>"],
"single_urls": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
included_sub_domains: ['<string>'],
included_url_patterns: ['<string>'],
excluded_sub_domains: ['<string>'],
excluded_url_patterns: ['<string>'],
single_urls: ['<string>']
})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/websites/{website_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"crawl_status": "not_started",
"crawl_error": "<string>",
"pages_crawled": 123,
"last_crawled_at": "<string>",
"created_at": "<string>",
"included_sub_domains": [
"<string>"
],
"included_url_patterns": [
"<string>"
],
"excluded_sub_domains": [
"<string>"
],
"excluded_url_patterns": [
"<string>"
],
"single_urls": [
"<string>"
]
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
The ID of the website
Body
application/jsonmultipart/form-data
The site to crawl. The whole domain is crawled by default.
Maximum array length:
100Maximum string length:
256Maximum array length:
100Maximum string length:
256Maximum array length:
100Maximum string length:
256Maximum array length:
100Maximum string length:
256Maximum array length:
100Response
200 - application/json
Available options:
not_started, pending, in_progress, completed, completed_no_data, failed Was this page helpful?
⌘I
Replace Meta agent website
